Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for e-Mail API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.emailadapter.webservice
Class EmailWebService

    java.lang.Object
      com.stc.connector.emailadapter.webservice.EmailWebService

    public class EmailWebService

extends java.lang.Object

Email web service wrapper.

Version:
  $Version$
Author:
  $Author: cmbuild $

Constructor Summary
`EmailWebService(EmailApplicationConnection emailAppConn)` Constructor for EmailWebService.

Method Summary
`EmailWebHasMessageResponse` | `hasMessage(EmailWebHasMessageRequest request)` Web service hasMessage operation.
`EmailWebReceiveMessageResponse` | `receiveMessage(EmailWebReceiveMessageRequest request)` Web service receiveMessage operation.
`EmailWebSendMessageResponse` | `sendMessage(EmailWebSendMessageRequest request)` Web service sendMessage operation.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EmailWebService

    public EmailWebService(EmailApplicationConnection emailAppConn)

  Constructor for EmailWebService.

  Parameters:
    `emailAppConn` - The EmailApplicationConnection instance.

Method Detail

### sendMessage

    public EmailWebSendMessageResponse sendMessage(EmailWebSendMessageRequest request)
                                            throws EmailWebException

  Web service sendMessage operation.

  Parameters:
    `request` - The EmailWebSendMessageRequest instance containing the web request.
  Throws:
    `EmailWebSendMessageResponse` - instance.
    `EmailWebException` - upon error.

### hasMessage

    public EmailWebHasMessageResponse hasMessage(EmailWebHasMessageRequest request)
                                          throws EmailWebException

  Web service hasMessage operation.

  Parameters:
    `request` - The EmailWebHasMessageRequest instance containing the web request.
  Throws:
    `EmailWebException` - upon error.

### receiveMessage

    public EmailWebReceiveMessageResponse receiveMessage(EmailWebReceiveMessageRequest request)
                                                  throws EmailWebException

  Web service receiveMessage operation.

  Parameters:
    `request` - The EmailWebReceiveMessageRequest instance containing the web request.
  Throws:
    `EmailWebException` - upon error.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for e-Mail API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD